Aurora 2019

Comments

3 comments

  • Avatar
    Lex Altink

    OK just noted that Luminar, Aurora and Photolemur are not compatable with catalina 10.15. Hope that the updates are coming soon. Best regards.

    0
    Comment actions Permalink
  • Avatar
    Helga Rowles

    Hi Lex, we've recently released a compatibility update for Luminar 3.
    As for Aurora and Photolemur, they will be updated later, I'm afraid.

    0
    Comment actions Permalink
  • Avatar
    Lex Altink

    OK thanks

    0
    Comment actions Permalink

Please sign in to leave a comment.